### Method

# Ggit Diff get_delta

#### Declaration [src]

    GgitDiffDelta*
    ggit_diff_get_delta (
      GgitDiff* diff,
      gsize index
    )

#### Description [src]

Get the delta at the specified index.

#### Parameters

`index`

  Type: `gsize`

  The index.

#### Return value

Type: `GgitDiffDelta`

A `GgitDiffDelta` or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.